import { $postParam, $post } from "@/plugins/axios";

export const semesterQuery = datas => {
  return $postParam("/api/exam_semester/list", datas);
};
export const examQuery = datas => {
  return $postParam("/api/exam_type/list", datas);
};

// user --------------------------------->
// user-manage
export const userListPage = datas => {
  return $postParam("/api/sys_user/page", datas);
};
export const updateUser = datas => {
  return $post("/api/sys_user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/sys_user/enable", { id, enable });
};
export const resetPwd = id => {
  return $post("/api/sys_user/reset_password", { id });
};
export const userRoleListPage = () => {
  return $postParam("/api/sys_role/list", {});
};

export const updatePwd = datas => {
  return $post("/api/admin/sys/user/update_password", datas);
};
export const userBindRoles = ({ id, roleIds }) => {
  return $post("/api/admin/sys/user/bind_roles", { id, roleIds });
};

export const syncUserToEcs = () => {
  return $postParam("/api/admin/sys/user/push", {});
};
export const roleUserTree = () => {
  return $postParam("/api/admin/sys/user/org-tree", {});
};

// role-manage
export const roleListPage = datas => {
  return $postParam("/api/admin/sys/role/list", datas);
};
export const ableRole = ({ id, enable }) => {
  return $post("/api/admin/sys/role/enable", { id, enable });
};
export const updateRole = datas => {
  return $post("/api/admin/sys/role/save", datas);
};
export const deleteRole = id => {
  return $postParam("/api/admin/sys/role/remove", { id });
};
export const userBoundRoles = userId => {
  return $postParam("/api/admin/sys/role/get_user_roles", { userId });
};
// role-user-manage
export const roleGroupList = datas => {
  return $postParam("/api/admin/sys/role/group/list", datas);
};
export const updateRoleGroup = datas => {
  return $post("/api/admin/sys/role/group/save", datas);
};
// menu-manage
export const menuAuthList = datas => {
  return $postParam("/api/admin/sys/privilege/list_auth", datas);
};
export const privilegeList = datas => {
  return $postParam("/api/admin/sys/privilege/list", datas);
};
export const roleBoundPrivileges = roleId => {
  return $postParam("/api/admin/sys/privilege/get_role_privileges", { roleId });
};
// organization-manage
export const organizationList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const organizationFindByTypeList = datas => {
  return $postParam("/api/admin/sys/org/find_by_type", datas);
};
export const updateOrganization = datas => {
  return $post("/api/admin/sys/org/save", datas);
};
export const ableOrganization = ({ id, enable }) => {
  return $post("/api/admin/sys/org/enable", { id, enable });
};
export const deleteOrganization = id => {
  return $post("/api/admin/sys/org/remove", { id });
};

// setting --------------------------------->
// time-task
export const timeTaskList = datas => {
  return $postParam("/api/exam_schedule_task/page", datas);
};
export const updateTimeTask = datas => {
  return $post("/api/exam_schedule_task/save", datas);
};

// business-data
export const businessDataList = datas => {
  return $postParam("/api/exam_sync_total/page", datas);
};
export const manualSync = () => {
  return $postParam("/api/exam_sync_total/manual_sync", {});
};
export const downloadBusinessData = (id, writeLog) => {
  return $postParam(
    "/api/exam_sync_total/download",
    { id, writeLog },
    {
      responseType: "blob"
    }
  );
};
export const useSceneList = datas => {
  return $postParam("/api/exam_download_record/list_use_scene", datas);
};
// download-manage
export const downloadList = datas => {
  return $postParam("/api/exam_download_record/page", datas);
};
export const signPurpose = datas => {
  return $postParam("/api/exam_download_record/used", datas);
};

// common
export const uploadFile = datas => {
  return $post("/api/admin/common/file/upload", datas);
};
export const getCode = type => {
  return $postParam("/api/admin/common/get_code", { type });
};
